Bug 487499 - xterm requires xorg-x11-fonts-misc
xterm requires xorg-x11-fonts-misc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 06:14 EST by Dick Marinus
Modified: 2009-12-18 03:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:03:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dick Marinus 2009-02-26 06:14:24 EST
Description of problem:


How reproducible:

Steps to Reproduce:
1. rpm -e xorg-x11-fonts-misc
2. yum install xterm
3. start xterm
  
Actual results:
Error starting xterm, control-mouse1 stalls xterm for a while, can't change fontsize

Expected results:
No errors, can change fontsize

Additional info:
Please add xorg-x11-fonts-misc as a requirement of the xterm rpm.
Comment 1 Miroslav Lichvar 2009-02-26 06:36:51 EST
Can you please try xterm-242-1.fc10 from updates-testing? There were some changes related to fonts.

https://admin.fedoraproject.org/updates/F10/FEDORA-2009-1867

I'd prefer to not require any specific font package, because xterm should be usable without any font packages installed and users may want to use different fonts.
Comment 2 Dick Marinus 2009-02-26 13:40:10 EST
I've just tried xterm-242-1 and the startup error message is gone but ctrl-clicking still freezes xterm and I can't change the fontsize.

I still have the following error message:
Warning: Missing charsets in String to FontSet conversion

Using a different font wouldn't be a problem for me but that doesn't seem to work either. I suppose I can only use fonts from the xorg-x11-fonts-misc package...
Comment 3 Dick Marinus 2009-02-27 04:05:00 EST
I've found something, xterm -fa mono seems to switch to a nice font.

But ctrl-clicking still stalls xterm for a while (which isn't a real issue for me).
Comment 4 Bug Zapper 2009-11-18 06:14:12 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 03:03:33 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.